Bug 378331 - Review Request: lrzip - Compression program optimised for large files
Review Request: lrzip - Compression program optimised for large files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 12:25 EST by Warren Togami
Modified: 2008-07-14 15:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 10:37:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2007-11-12 12:25:58 EST
Spec URL: http://togami.com/~warren/fedora/lrzip.spec
SRPM URL: http://togami.com/~warren/fedora/lrzip-0.18-1.fc8.src.rpm
Description:
Long Range ZIP or Lzma RZIP

This is a compression program optimised for large files. The larger the file
and the more memory you have, the better the compression advantage this will
provide, especially once the files are larger than 100MB. The advantage can
be chosen to be either size (much smaller than bzip2) or speed (much faster
than bzip2). Decompression is always much faster than bzip2.
Comment 1 Parag AN(पराग) 2007-11-13 00:53:53 EST
Though mock build is successful and rpmlint reports no messages aginst SRPM and
RPM but it does against debuginfo.
Should we care those messages and try to solve them?

I got rpmlint output on debuginfo package as
lrzip-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/lrzip-0.18/lzma/C/7zip/Compress/RangeCoder/RangeCoder.h
lrzip-debuginfo.i386: E: wrong-script-end-of-line-encoding
/usr/src/debug/lrzip-0.18/lzma/C/7zip/Compress/RangeCoder/RangeCoder.h
.....
.....
many source files reported same messages like above for debuginfo package.
Comment 2 Parag AN(पराग) 2007-11-13 00:57:08 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
285c995f6d861c4125f6164ab0ab2368  lrzip-0.18.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package lrzip-0.18-1.fc8 ->
  Requires: libbz2.so.1 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libgcc_s.so.1
libgcc_s.so.1(GCC_3.0) liblzo2.so.2 libm.so.6 libstdc++.so.6
libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)
+ Not a GUI App.
Comment 3 Warren Togami 2007-11-13 09:48:37 EST
We really shouldn't care about the permissions in a debuginfo package.
Comment 4 Parag AN(पराग) 2007-11-25 23:44:16 EST
APPROVED.
Comment 5 Parag AN(पराग) 2007-11-29 07:35:16 EST
I am not understanding what goes wrong here. But I can see package in rawhide. I
don't understand howcome package got entered without fedora-cvs+

Comment 6 Warren Togami 2007-11-29 10:37:42 EST
I only forgot to set it.
Comment 7 Shawn Starr 2008-07-14 13:44:10 EDT
Package Change Request
======================
Package Name: lrzip
Updated Fedora Owners: warren, spstarr
Comment 8 Shawn Starr 2008-07-14 13:45:13 EDT
Correct FAS name

Package Change Request
======================
Package Name: lrzip
Updated Fedora Owners: wtogami, spstarr
Comment 9 Kevin Fenzi 2008-07-14 15:32:21 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.